function [ max_L1,max_L2,max_R1,max_R2] = Knee_Power(Markers)

a = strfind(Markers.Labels,'LKneePower'); 

for i=1:length(a) 
    if a{i}==1
        l=i*3
    end        
end

d=length(Markers.RawData(:,1));
max_L1 = max(Markers.RawData(1:d/2,l));
max_L2 = max(Markers.RawData(d/2:end-150,l)); 


b = strfind(Markers.Labels,'RKneePower'); 

for i=1:length(b) 
    if b{i}==1
        r=i*3
    end
end

max_R1 = max(Markers.RawData(1:d/2,r));
max_R2 = max(Markers.RawData(d/2:end-173,r));       

figure
subplot(2,1,1)
plot(Markers.RawData(:,l))
title('Left Knee Power')
xlabel('Samples [N]')
ylabel('Power [W/kg]')
hold on
subplot(2,1,2)
plot(Markers.RawData(:,r))
title('Right Knee Power')
xlabel('Samples [N]')
ylabel('Power [W/kg]')
w=[max_L1,max_L2]
z=[max_R1,max_R2]

end